"use strict";

exports.__esModule = true;
exports.CAspectRatio = void 0;

var _utils = require("@chakra-ui/utils");

var _vueSystem = require("@chakra-ui/vue-system");

var _runtimeCore = require("@vue/runtime-core");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Vue component used to cropping media (videos, images and maps)
 * to a desired aspect ratio.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/aspect-ratio
 */
var CAspectRatio = (0, _runtimeCore.defineComponent)({
  props: {
    ratio: {
      type: [Number],
      "default": 4 / 3
    }
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)('div', {
        label: 'aspect-ratio',
        position: 'relative',
        _before: {
          height: 0,
          content: "\"\"",
          display: 'block',
          paddingBottom: (0, _utils.mapResponsive)(props.ratio, function (r) {
            return 1 / r * 100 + "%";
          })
        },
        __css: {
          '& > *:not(style)': {
            overflow: 'hidden',
            position: 'absolute',
            top: '0',
            right: '0',
            bottom: '0',
            left: '0',
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
            width: '100%',
            height: '100%'
          },
          '& > img, & > video': {
            objectFit: 'cover'
          }
        }
      }), _extends({}, attrs), slots);
    };
  }
});
exports.CAspectRatio = CAspectRatio;
//# sourceMappingURL=aspect-ratio.js.map