"use strict";

exports.__esModule = true;
exports.CHeading = void 0;

var _vueUtils = require("@chakra-ui/vue-utils");

var _vueSystem = require("@chakra-ui/vue-system");

var _runtimeCore = require("@vue/runtime-core");

var _utils = require("@chakra-ui/utils");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var CHeading = (0, _runtimeCore.defineComponent)({
  props: _extends({
    as: {
      type: [String, Object],
      "default": 'h2'
    }
  }, _vueUtils.vueThemingProps),
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    var themingProps = (0, _runtimeCore.computed)(function () {
      return (0, _utils.filterUndefined)({
        colorScheme: props.colorScheme,
        variant: props.variant,
        size: props.size,
        styleConfig: props.styleConfig
      });
    });
    var styles = (0, _vueSystem.useStyleConfig)('Heading', themingProps.value);
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)(props.as, {
        label: 'heading'
      }), _extends({}, attrs, {
        __css: styles.value
      }), slots);
    };
  }
});
exports.CHeading = CHeading;
//# sourceMappingURL=heading.js.map