"use strict";

exports.__esModule = true;
exports.CSpacer = void 0;

var _vueSystem = require("@chakra-ui/vue-system");

var _runtimeCore = require("@vue/runtime-core");

/**
 * A flexible flex spacer that expands along the major axis of its containing flex layout.
 * It renders a `div` by default, and takes up any available space.
 *
 * @see Docs https://chakra-ui.com/docs/layout/flex#using-the-spacer
 */
var CSpacer = (0, _runtimeCore.defineComponent)({
  setup: function setup(_, _ref) {
    var slots = _ref.slots;
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)('div', {
        label: 'spacer',
        baseStyle: {
          flex: 1,
          justifySelf: 'stretch',
          alignSelf: 'stretch'
        }
      }), {}, slots);
    };
  }
});
exports.CSpacer = CSpacer;
//# sourceMappingURL=spacer.js.map