function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { chakra } from '@chakra-ui/vue-system';
import { computed, defineComponent, h } from '@vue/runtime-core';

/**
 * Box is the most abstract component on top of which other chakra
 * components are built. It renders a `div` element by default.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/box
 */
export var CBox = defineComponent({
  props: {
    as: {
      type: [String, Object],
      default: 'div'
    }
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    return () => {
      return h(chakra(props.as, _extends({
        label: 'box'
      }, attrs)), {}, slots);
    };
  }

});
/**
 * As a constraint, you can't pass size related props
 * Only `size` would be allowed
 */

export var CSquare = defineComponent({
  props: {
    size: [Object, String, Number],
    centerContent: {
      type: [Boolean],
      default: true
    }
  },

  setup(props, _ref2) {
    var {
      slots,
      attrs
    } = _ref2;
    var styles = computed(() => props.centerContent ? {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center'
    } : {});
    return () => {
      return h(CBox, _extends({
        label: 'square',
        boxSize: props.size,
        __css: _extends({}, styles.value, {
          flexShrink: 0,
          flexGrow: 0
        })
      }, attrs), slots);
    };
  }

});
export var CCircle = defineComponent({
  setup(_, _ref3) {
    var {
      slots,
      attrs
    } = _ref3;
    return () => {
      return h(CSquare, _extends({
        label: 'circle',
        borderRadius: '9999px'
      }, attrs), slots);
    };
  }

});
//# sourceMappingURL=box.js.map