function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { h, defineComponent, computed } from 'vue';
import { chakra, useStyleConfig } from '@chakra-ui/vue-system';
import { filterUndefined } from '@chakra-ui/utils';
import { vueThemingProps } from '@chakra-ui/vue-utils';

/**
 * Layout component used to wrap app or website content
 *
 * It sets `margin-left` and `margin-right` to `auto`,
 * to keep its content centered.
 *
 * It also sets a default max-width of `60ch` (60 characters).
 */
export var CContainer = defineComponent({
  props: _extends({
    as: {
      type: [Object, String],
      default: 'div'
    },
    centerContent: {
      type: [Boolean]
    }
  }, vueThemingProps),

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    return () => {
      var themingProps = computed(() => filterUndefined({
        colorScheme: props.colorScheme,
        variant: props.variant,
        size: props.size,
        styleConfig: props.styleConfig
      }));
      var styles = useStyleConfig('Container', themingProps.value);
      return h(chakra(props.as, {
        label: 'container'
      }), _extends({}, styles.value, {
        __css: _extends({}, props.centerContent && {
          display: 'flex',
          flexDirection: 'column',
          alignItems: 'center'
        })
      }, attrs), slots);
    };
  }

});
//# sourceMappingURL=container.js.map