function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { h, defineComponent, computed } from 'vue';
import { chakra, useStyleConfig } from '@chakra-ui/vue-system';
import { filterUndefined } from '@chakra-ui/utils';
import { vueThemingProps } from '@chakra-ui/vue-utils';

/**
 * Layout component used to visually separate content in a list or group.
 * It display a thin horizontal or vertical line, and renders a `hr` tag.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/divider
 */
export var CDivider = defineComponent({
  props: _extends({
    orientation: {
      type: [String],
      default: 'horizontal'
    }
  }, vueThemingProps),

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    var themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig,
      orientation: props.orientation
    }));
    var styles = useStyleConfig('Divider', themingProps.value);

    var _styles$value = styles.value,
        {
      borderLeftWidth,
      borderBottomWidth,
      borderTopWidth,
      borderRightWidth,
      borderWidth,
      borderStyle,
      borderColor
    } = _styles$value,
        stylesRest = _objectWithoutPropertiesLoose(_styles$value, ["borderLeftWidth", "borderBottomWidth", "borderTopWidth", "borderRightWidth", "borderWidth", "borderStyle", "borderColor"]);

    var dividerStyle = computed(() => {
      var dividerStyles = {
        vertical: {
          borderLeftWidth: borderLeftWidth || borderRightWidth || borderWidth || '1px',
          height: '100%'
        },
        horizontal: {
          borderBottomWidth: borderBottomWidth || borderTopWidth || borderWidth || '1px',
          width: '100%'
        }
      };
      return dividerStyles[props.orientation];
    });
    return () => {
      return h(chakra('hr', {
        label: 'divider',
        'aria-orientation': props.orientation,
        __css: _extends({}, stylesRest, {
          border: '0',
          borderColor,
          borderStyle
        }, dividerStyle.value)
      }), _extends({}, attrs), slots);
    };
  }

});
//# sourceMappingURL=divider.js.map