function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { vueThemingProps } from '@chakra-ui/vue-utils';
import { chakra, useStyleConfig } from '@chakra-ui/vue-system';
import { computed, defineComponent, h } from '@vue/runtime-core';
import { filterUndefined } from '@chakra-ui/utils';

/**
 * Semantic component to render a keyboard shortcut
 * within an application.
 *
 * @example
 *
 * ```jsx
 * <Kbd>⌘ + T</Kbd>
 * ```
 *
 * @see Docs https://chakra-ui.com/docs/data-display/kbd
 */
export var CKbd = defineComponent({
  props: _extends({}, vueThemingProps),

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    var themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    var styles = useStyleConfig('Kbd', themingProps.value);
    return () => {
      return h(chakra('kbd', _extends({
        label: 'kbd'
      }, attrs, {
        __css: _extends({
          fontFamily: 'mono'
        }, styles.value)
      })), {}, slots);
    };
  }

});
//# sourceMappingURL=kbd.js.map