function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { h, defineComponent } from 'vue';
import { chakra } from '@chakra-ui/vue-system';
export var CLinkOverlay = defineComponent({
  props: {
    as: {
      type: [Object, String],
      default: 'a'
    },
    isExternal: Boolean
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    return () => {
      return h(chakra(props.as, {
        label: 'linkbox__overlay',
        rel: props.isExternal ? 'noopener noreferrer' : undefined,
        target: props.isExternal ? '_blank' : undefined,
        __css: {
          position: 'static',
          '&::before': {
            content: "''",
            cursor: 'inherit',
            display: 'block',
            position: 'absolute',
            top: 0,
            left: 0,
            zIndex: 0,
            width: '100%',
            height: '100%'
          }
        }
      }), _extends({}, attrs), slots);
    };
  }

});

/**
 * `LinkBox` is used to wrap content areas within a link while ensuring semantic html
 *
 * @see Docs https://vue.chakra-ui.com/docs/link-overlay
 * @see Resources https://www.sarasoueidan.com/blog/nested-links
 */
export var CLinkBox = defineComponent({
  props: {
    as: {
      type: [Object, String],
      default: 'div'
    }
  },

  setup(props, _ref2) {
    var {
      slots,
      attrs
    } = _ref2;
    return () => {
      return h(chakra(props.as, {
        label: 'linkbox',
        position: 'relative',
        __css: {
          /* Elevate the links and abbreviations up */
          'a[href]:not(.chakra-linkbox__overlay), abbr[title]': {
            position: 'relative',
            zIndex: 1
          }
        }
      }), _extends({}, attrs), slots);
    };
  }

}); //
//# sourceMappingURL=link-box.js.map